Summary: A user-friendly file manager and visual shell
Name: mc
Version: 4.6.0
Release: alt7.1
License: GPL
Group: File tools

Packager: Kachalov Anton <mouse@altlinux.ru>

Source0:   ftp://ftp.ibiblio.org/pub/Linux/utils/file/managers/mc/mc-%version.tar.bz2
Source1:   iso
Source2:   mc.color
URL:       http://www.ibiblio.org/mc/

Conflicts: mcserv

PreReq: chkconfig

Patch1: mc-4.5.99a-pam.patch
Patch2: mc-4.5.51-time.patch
Patch3: mc-4.6.0-mouse_Eterm.patch
Patch4: mc-4.5.55-rpm.patch
Patch5: mc-4.6.0-charsets-alt.patch
Patch6: mc-4.5.54-8bitkey.patch
Patch7: mc-4.6.0-wrapper.patch
Patch8: mc-4.5.55-language.patch
Patch9: mc-4.6.0-doc_fix.patch
Patch10: mc-4.6.0-m4_configure.patch
Patch11: mc-4.6.0-extfs_man-alt.patch
Patch12: mc-4.6.0-extfs-alt.patch
Patch13: mc-4.6.0-syntax-alt.patch
Patch14: mc-CVE-CAN-2003-1023.patch

# Automatically added by buildreq on Fri Feb 07 2003
BuildRequires: glib2-devel groff-base libe2fs-devel libgpm-devel libslang-devel pkgconfig

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.  :-)

%prep
%setup -q

# %patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0
%patch13 -p0
%patch14 -p1

%build

%configure --without-gnome --without-debug --with-included-slang --without-included-gettext \
    --enable-charset --enable-largefile --without-x
#Fix bzip2 warning
perl -p -i -e 's/--repetitive-best/-9/' lib/mc.menu

%make

%install
install -d $RPM_BUILD_ROOT%_sysconfdir/{profile.d,bashrc.d}

%makeinstall

mv $RPM_BUILD_ROOT%_datadir/mc/bin/mc.* $RPM_BUILD_ROOT%_sysconfdir/profile.d
cp %SOURCE1 $RPM_BUILD_ROOT%_datadir/mc/extfs/
cp %SOURCE2 $RPM_BUILD_DIR/%name-%version/

# Add Russian and Ukrainian hints and help for CP1251 locales
iconv -fkoi8-r -tcp1251 $RPM_BUILD_ROOT%_datadir/mc/mc.hint.ru >$RPM_BUILD_ROOT%_datadir/mc/mc.hint.ru_RU.CP1251
iconv -fkoi8-u -tcp1251 $RPM_BUILD_ROOT%_datadir/mc/mc.hint.uk >$RPM_BUILD_ROOT%_datadir/mc/mc.hint.uk_UA.CP1251
iconv -fkoi8-u -tcp1251 $RPM_BUILD_ROOT%_datadir/mc/mc.hlp.ru >$RPM_BUILD_ROOT%_datadir/mc/mc.hlp.ru_RU.CP1251

# remove bash wrapper
# rm -f $RPM_BUILD_ROOT%_datadir/mc/bin/mc-wrapper.sh

# Move mc.sh to proper path
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/bashrc.d
mv $RPM_BUILD_ROOT%_sysconfdir/profile.d/mc.sh $RPM_BUILD_ROOT%_sysconfdir/bashrc.d

%find_lang %name

%files -f %name.lang
%doc FAQ NEWS README mc.color
%_bindir/mc
%_bindir/mcedit
%_bindir/mcview
%_bindir/mcmfmt
%_libdir/mc
%_datadir/mc
%_mandir/man1/*
%config(noreplace) %_sysconfdir/bashrc.d/*

%changelog
* Mon Jan 19 2004 Stanislav Ievlev <inger@altlinux.org> 4.6.0-alt7.1
- fix security bugs.

* Mon Nov 03 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt7
- added .hh and .hpp files to Syntax highlight

* Wed Sep 03 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt6
- removed requires for cdrecord, cdparanoia and wget

* Mon Jul 21 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt5
- using links instead of lynx for viewing html
- added help file in cp1251 (#0002685)
- added DN-like coloration (thanks to Peter V. Chernikoff)

* Tue Apr 29 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt4
- added ISO extfs

* Tue Feb 18 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt3
- bugfix:
    + russian char in cp1251 locale not displayed (#000271)
    + problem with cp866 (#0002023)

* Mon Feb 10 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt2
- bugfix: mc doesn't give hostname to the terminal
- proper recognition of man pages
- wrapper creation temp dir on first startup fix

* Thu Jan 06 2003 Kachalov Anton <mouse@altlinux.ru> 4.6.0-alt1
- new version
- remove mcserv
- remove smbfs
- bugfix:
    + Eterm is considered to be a dumb terminal (#0000851)
    + doen't look inside ~/.terminfo (#0000907)
    + mc crashes on linux console when gpm server closes connection (#0001123)
    + not copyied russian char to command line (#0001208)
    + locale error (#0001550)
    + hostname resolve (#0002010)

* Thu Dec 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.5.5
- Fixed wrapper

* Thu Nov 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.5
- Rebuilt with latest CVS changes

* Thu Oct 31 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.4
- Rebuilt back with slang library

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.3
- Fixed gpm bug
- Rebuilt with latest CVS changes
- Rebuilt with ncurses library
- Turn on smbfs support

* Tue Sep 03 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.2
- Rebuild with latest CVS changes
- Fixed restoring mouse events under xterm

* Wed Aug 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.6.0-alt0.1
- Rebuild with latest CVS changes
- Fixed some bugs
- Version now 4.6.0pre1a

* Thu Aug 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.99a-alt3
- Rebuild with latest CVS changes

* Wed Jul 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.99a-alt2
- Rebuild with fixed libgpm

* Tue Jul 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.99a-alt1
- Build from snapshot
- Package gmc now removed
- Some spec cleanup

* Tue Apr 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt7
- Added --enable-largefile, thnx to sav

* Mon Apr 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt6
- Removed umask patch

* Thu Feb 07 2002 AEN <aen@logic.ru> 4.5.55-alt5
- LANGUAGE variable not used anymore
- belarussian translation added
- build requires regenerated
- uk_UA.CP1251 tips added

* Tue Sep 24 2001 Kachalov Anton <mouse@altlinux.ru> 4.5.55-alt4
- Updated Russian translation - thanx to Andrew Borodin

* Tue Sep 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt3
- Updated Russian translation - thanx to Andrew Borodin

* Sun Sep 09 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt2
- Fix mc.hint for CP1251 locle
- Now we call links when view html's

* Tue Sep 04 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.5.55-alt1
- 4.5.55
- Use recoding support fom mc
- Fixed Requires
- Show backup files by default now is on

* Thu Jun 21 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.54-alt3.1
- Updated recode patch - added editor support & view search support

* Mon Jun 18 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.54-alt3
- Fix Full 8 bit input to be on by default

* Thu Jun 14 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.54-alt2
- Fixed cdparanoia requires
- Some spec cleanup

* Mon Jun 4 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.54-alt1
- New mc version - 4.5.54
- Some new Cooker patches
- Fixed sources (bzip2 -> gz)
- Fixed recode patch
- Removed all entries in changelog before 01012001
- Added umask settings

* Thu Mar 15 2001 Konstantin Volckov <goldhead@linux.ru.net> 4.5.51-ipl11mdk
- Added recode patch
- Fix build with glibc-2.2.2 (time patch)
- Fixed name of po file
- Fixed build with new gtk
